package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Lit;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface LitMapper {

    int insert(Lit record);

    int insertSelective(Lit record);

    int updateByPrimaryKeySelective(Lit record);

    int updateByPrimaryKey(Lit record);

    int deleteByPrimaryKey(Lit record);

    int deleteByIds(Collection<Object> collection);

    Lit selectByPrimaryKey(Lit record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Lit> dyncRead(Map<String,Object> dyncMap);

}